As of 1/1/2020, Examsoft has released Examplify version 2.3.x. and formally ends support for Yosemite, El Capitan  and Sierra versions of Mac OS.


Make sure your current hardware meets the minimum requirements for Catalina

  • MacBook (Early 2015 or later)
  • MacBook Air (Mid-2012 or later)
  • MacBook Pro (Mid-2012 or later)
  • Mac mini (Late 2012 or later)
  • iMac (Late 2012 or later)
  • iMac Pro (2017 or later)
  • Mac Pro (Late 2013)

 

Should you upgrade from Yosemite, El Capitan or Sierra to Catalina before your Spring 2020 Law School Finals?


ABSOLUTELY YES! Please read instructions here.